#!/bin/bash

rabbitmq_ping=1
until [ ${rabbitmq_ping} == 0 ]; do
    rabbitmq-diagnostics node_health_check > /dev/null 2>&1
    rabbitmq_ping=$?
done

# Check if the local rabbit is already part of the cluster
rabbitmqctl cluster_status | tr -d '\n' | tr -d ' ' | grep -Po '{nodes,\[.*?\]\}' | grep rabbit@${XRAY_FIRST_NODE} 2>/dev/null
ret_code=$?
if [ ! ${ret_code} == 0 ]; then
    rabbitmqctl stop_app && \
    rabbitmqctl join_cluster rabbit@${XRAY_FIRST_NODE} && \
    rabbitmqctl start_app && \
    rabbitmqctl set_policy ha-all "." '{"ha-mode":"all", "ha-sync-mode":"automatic"}' --apply-to all --priority 0
fi